Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA:

[legend]
Collaboration diagram for PortableServer::POA:

[legend]
List of all members.

## Public Types
typedef POA_ptr | _ptr_type
typedef POA_var | _var_type
## Public Methods
virtual TAO_POA * | _tao_poa_downcast (void)
virtual::PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr a_POAManager, const CORBA::PolicyList &policies ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::AdapterAlreadyExists , PortableServer::POA::InvalidPolicy )
virtual::PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::AdapterNonExistent )
virtual void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | the_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POA_ptr | the_parent (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POAList * | the_children (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POAManager_ptr | the_POAManager (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::AdapterActivator_ptr | the_activator (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | the_activator (PortableServer::AdapterActivator_ptr the_activator ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ServantManager_ptr | get_servant_manager (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual void | set_servant_manager (PortableServer::ServantManager_ptr imgr ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | get_servant (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::NoServant , PortableServer::POA::WrongPolicy )
virtual void | set_servant (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | activate_object (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::WrongPolicy )
virtual void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::ObjectAlreadyActive , PortableServer::POA::WrongPolicy )
virtual void | deactivate_object (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference (const char *intf ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | servant_to_id (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | reference_to_id (CORBA::Object_ptr reference ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual::CORBA::OctetSeq * | id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ObjectId * | create_id_for_reference (CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual::PortableServer::IDs * | reference_to_ids (CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual void | associate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual void | disassociate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
POA_ptr | _duplicate (POA_ptr obj)
POA_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POA_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_AdapterAlreadyExists
static::CORBA::TypeCode_ptr | _tc_AdapterNonExistent
static::CORBA::TypeCode_ptr | _tc_InvalidPolicy
static::CORBA::TypeCode_ptr | _tc_NoServant
static::CORBA::TypeCode_ptr | _tc_ObjectAlreadyActive
static::CORBA::TypeCode_ptr | _tc_ObjectNotActive
static::CORBA::TypeCode_ptr | _tc_ServantAlreadyActive
static::CORBA::TypeCode_ptr | _tc_ServantNotActive
static::CORBA::TypeCode_ptr | _tc_WrongAdapter
static::CORBA::TypeCode_ptr | _tc_WrongPolicy
## Protected Methods
| POA (void)
virtual | ~POA (void)
## Private Methods
| POA (const POA &)
void | operator= (const POA &)

## Member Typedef Documentation

typedef POA_ptr PortableServer::POA::_ptr_type

| Reimplemented from CORBA::Object.

typedef POA_var PortableServer::POA::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

PortableServer::POA::POA | ( | void |  | ) | `[protected]`

PortableServer::POA::~POA | ( | void |  | ) | `[protected, virtual]`

PortableServer::POA::POA | ( | const POA & |  | ) | `[private]`

## Member Function Documentation

PortableServer::POA_ptr PortableServer::POA::_duplicate | ( | POA_ptr | obj | ) | `[static]`

const char * PortableServer::POA::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::POA::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

POA_ptr PortableServer::POA::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

POA_ptr PortableServer::POA::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::POA::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

virtual TAO_POA* PortableServer::POA::_tao_poa_downcast | ( | void |  | ) | `[inline, virtual]`

| Reimplemented in TAO_POA.

virtual ::PortableServer::ObjectId* PortableServer::POA::activate_object | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::ObjectAlreadyActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::associate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::IdAssignmentPolicy_ptr PortableServer::POA::create_id_assignment_policy | ( | PortableServer::IdAssignmentPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ObjectId* PortableServer::POA::create_id_for_reference | ( | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::IdUniquenessPolicy_ptr PortableServer::POA::create_id_uniqueness_policy | ( | PortableServer::IdUniquenessPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ImplicitActivationPolicy_ptr PortableServer::POA::create_implicit_activation_policy | ( | PortableServer::ImplicitActivationPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::LifespanPolicy_ptr PortableServer::POA::create_lifespan_policy | ( | PortableServer::LifespanPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::POA_ptr PortableServer::POA::create_POA | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | a_POAManager,
|  | const CORBA::PolicyList &policies | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POA::AdapterAlreadyExists , PortableServer::POA::InvalidPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual CORBA::Object_ptr PortableServer::POA::create_reference | ( | const char *intf | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual CORBA::Object_ptr PortableServer::POA::create_reference_with_id | ( | const PortableServer::ObjectId & | oid,
|  | const char *intf | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::RequestProcessingPolicy_ptr PortableServer::POA::create_request_processing_policy | ( | PortableServer::RequestProcessingPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ServantRetentionPolicy_ptr PortableServer::POA::create_servant_retention_policy | ( | PortableServer::ServantRetentionPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ThreadPolicy_ptr PortableServer::POA::create_thread_policy | ( | PortableServer::ThreadPolicyValue value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::deactivate_object | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::destroy | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::disassociate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::POA_ptr PortableServer::POA::find_POA | ( | const char * | adapter_name,
|  | CORBA::Boolean activate_it | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POA::AdapterNonExistent )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::Servant PortableServer::POA::get_servant | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::POA::NoServant , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ServantManager_ptr PortableServer::POA::get_servant_manager | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::CORBA::OctetSeq* PortableServer::POA::id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual CORBA::Object_ptr PortableServer::POA::id_to_reference | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::Servant PortableServer::POA::id_to_servant | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

CORBA::Boolean PortableServer::POA::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::POA::operator= | ( | const POA & |  | ) | `[private]`

virtual ::PortableServer::ObjectId* PortableServer::POA::reference_to_id | ( | CORBA::Object_ptr reference | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::IDs* PortableServer::POA::reference_to_ids | ( | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::Servant PortableServer::POA::reference_to_servant | ( | CORBA::Object_ptr reference | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::ObjectId* PortableServer::POA::servant_to_id | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual CORBA::Object_ptr PortableServer::POA::servant_to_reference | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::set_servant | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

virtual void PortableServer::POA::set_servant_manager | ( | PortableServer::ServantManager_ptr imgr | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_POA.

virtual void PortableServer::POA::the_activator | ( | PortableServer::AdapterActivator_ptr the_activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableServer::AdapterActivator_ptr PortableServer::POA::the_activator | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::POAList* PortableServer::POA::the_children | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual char* PortableServer::POA::the_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::POA_ptr PortableServer::POA::the_parent | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

virtual ::PortableServer::POAManager_ptr PortableServer::POA::the_POAManager | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA.

## Member Data Documentation

CORBA::TypeCode_ptr PortableServer::POA::_tc_AdapterAlreadyExists

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_AdapterAlreadyExists

CORBA::TypeCode_ptr PortableServer::POA::_tc_AdapterNonExistent

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_AdapterNonExistent

CORBA::TypeCode_ptr PortableServer::POA::_tc_InvalidPolicy

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_InvalidPolicy

CORBA::TypeCode_ptr PortableServer::POA::_tc_NoServant

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_NoServant

CORBA::TypeCode_ptr PortableServer::POA::_tc_ObjectAlreadyActive

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_ObjectAlreadyActive

CORBA::TypeCode_ptr PortableServer::POA::_tc_ObjectNotActive

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_ObjectNotActive

CORBA::TypeCode_ptr PortableServer::POA::_tc_ServantAlreadyActive

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_ServantAlreadyActive

CORBA::TypeCode_ptr PortableServer::POA::_tc_ServantNotActive

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_ServantNotActive

CORBA::TypeCode_ptr PortableServer::POA::_tc_WrongAdapter

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_WrongAdapter

CORBA::TypeCode_ptr PortableServer::POA::_tc_WrongPolicy

| Initial value:
      &_tc_TAO_tc_PortableServer_POA_WrongPolicy

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp